from axelrod.action import Action
from axelrod.player import Player
llllIIIl, lllIIlll = Action.C, Action.D
class lIIIIlIlIllllIIIl(Player):
    lIIIIllIIIllllIIll = "strategy"
    lllIllIIIIlIIlIlIIII = {
        "memory_depth": 1,
        "long_run_time": False,
        "stochastic": True,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IlIlIlIlllIIIllIllIl(IIIllllllllIIlIIllII, llIIIlllIII: Player) -> Action:
        if not llIIIlllIII.history:
            return IIIllllllllIIlIIllII._random.random_choice()
        if IIIllllllllIIlIIllII.history[-1] == lllIIlll and llIIIlllIII.history[-1] == lllIIlll:
            return llllIIIl
        return lllIIlll